Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Fri, 17 Feb 2012 09:04:07 -0800

On Fri, Feb 17, 2012 at 03:10:30PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the staging tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/built-in.o: In function `r2hb_hb_group_drop_item':
> heartbeat.c:(.text+0x12cd7a): undefined reference to `config_item_put'
> drivers/built-in.o: In function `r2hb_hb_group_make_item':
> heartbeat.c:(.text+0x12cdc7): undefined reference to `config_item_put'
> drivers/built-in.o: In function `r2hb_alloc_hb_set':
> (.text+0x12cf2f): undefined reference to `config_group_init_type_name'
> drivers/built-in.o: In function `r2nm_cluster_group_drop_item':
> nodemanager.c:(.text+0x12d34f): undefined reference to `config_item_put'
> nodemanager.c:(.text+0x12d378): undefined reference to `config_item_put'
> drivers/built-in.o: In function `r2nm_node_put':
> (.text+0x12d3a0): undefined reference to `config_item_put'
> drivers/built-in.o: In function `r2nm_node_group_drop_item':
> nodemanager.c:(.text+0x12dc4d): undefined reference to `config_item_put'
> drivers/built-in.o: In function `r2nm_node_get':
> (.text+0x12e407): undefined reference to `config_item_get'
> drivers/built-in.o: In function `r2nm_get_node_by_ip':
> (.text+0x12e482): undefined reference to `config_item_get'
> drivers/built-in.o: In function `r2nm_get_node_by_num':
> (.text+0x12e514): undefined reference to `config_item_get'
> drivers/built-in.o: In function `r2nm_node_group_make_item':
> nodemanager.c:(.text+0x12e664): undefined reference to `config_item_init_type_name'
> drivers/built-in.o: In function `r2nm_cluster_group_make_group':
> nodemanager.c:(.text+0x12e762): undefined reference to `config_group_init_type_name'
> nodemanager.c:(.text+0x12e77f): undefined reference to `config_group_init_type_name'
> drivers/built-in.o: In function `r2nm_depend_item':
> (.text+0x12e878): undefined reference to `configfs_depend_item'
> drivers/built-in.o: In function `r2nm_undepend_item':
> (.text+0x12e8a0): undefined reference to `configfs_undepend_item'
> drivers/built-in.o: In function `r2nm_depend_this_node':
> (.text+0x12e907): undefined reference to `config_item_put'
> drivers/built-in.o: In function `r2nm_undepend_this_node':
> (.text+0x12e973): undefined reference to `config_item_put'
> drivers/built-in.o: In function `init_r2nm':
> nodemanager.c:(.init.text+0xefdb): undefined reference to `config_group_init'
> nodemanager.c:(.init.text+0xf00f): undefined reference to `configfs_register_subsystem'
> drivers/built-in.o: In function `exit_r2nm':
> nodemanager.c:(.exit.text+0x99b): undefined reference to `configfs_unregister_subsystem'
> 
> This after I moved the tmem tree to before the staging tree to fix
> yesterday's build failure.
> 
> I have cherry-picked Greg's patch to disable building of the ramster code
> for today (since it wasn't in his tree when I fetched it this morning).

Thank you for doing that, sorry I didn't get any of these build errors
on my own.  That's what I get for applying patches while on the road and
away from my big build systems to verify this :(

greg k-h